### Method

# Gdk.ScrollEvent.get_deltas

#### Declaration [src]

    void
    gdk_scroll_event_get_deltas (
      GdkEvent* event,
      double* delta_x,
      double* delta_y
    )

#### Description [src]

Extracts the scroll deltas of a scroll event.

The deltas will be zero unless the scroll direction is `GDK_SCROLL_SMOOTH`.

#### Parameters

`delta_x` | `double*`
| return location for x scroll delta
| Direction: out
| Ownership of the data is transferred to the callee
`delta_y` | `double*`
| return location for y scroll delta
| Direction: out
| Ownership of the data is transferred to the callee